classification
Title: Read support for Records in msilib
Type: Stage:
Components: Extension Modules, Library (Lib), Windows Versions: Python 2.6, Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: flub, loewis
Priority: normal Keywords: patch

Created on 2008-02-15 16:35 by flub, last changed 2008-06-02 08:43 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
msilib.diff flub, 2008-02-15 16:35 Patch from read support of MSI records
Messages (2)
msg62432 - (view) Author: Floris Bruynooghe (flub) Date: 2008-02-15 16:35
The msilib documentation mentions that read support of MSI files is
supported, however the actual methods on the Record class for it are
missing.  This patch wraps two more functions from the MSI API to the
record class, enabling to read integers and strings.  The only one left
then (AFAIK) is "Stream" but I didn't need that so couldn't test it.
msg67632 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-06-02 08:43
Thanks for the patch. Committed as r63888
History
Date User Action Args
2008-06-02 08:43:31loewissetstatus: open -> closed
resolution: accepted
messages: + msg67632
2008-03-19 21:16:07jafosetpriority: normal
assignee: loewis
title: [patch] Read support for Records in msilib -> Read support for Records in msilib
keywords: + patch
nosy: + loewis
2008-02-15 16:35:36flubcreate